## libindi-1.9.2-1.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(libindi C CXX)

# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)
include(FeatureSummary)
if(ANDROID OR "${CMAKE_SYSTEM_NAME}" STREQUAL "Android")
  set(ANDROID ON)
  add_definitions(-DANDROID)
endif()

include(CMakeCommon)

# Clang Format support
IF (UNIX OR APPLE)
    SET(FORMAT_CODE OFF CACHE BOOL "Enable Clang Format")
    IF (FORMAT_CODE MATCHES ON)
        FILE(GLOB_RECURSE ALL_SOURCE_FILES *.c *.cpp *.h)

        FOREACH(SOURCE_FILE ${ALL_SOURCE_FILES})
            STRING(FIND ${SOURCE_FILE} ${CMAKE_SOURCE_DIR} DIR_FOUND)
            IF (NOT ${DIR_FOUND} EQUAL 0)
                LIST(REMOVE_ITEM ALL_SOURCE_FILES ${SOURCE_FILE})
            ENDIF ()
        ENDFOREACH ()

        FIND_PROGRAM(CLANGFORMAT_EXE NAMES clang-format-5.0)
        IF (CLANGFORMAT_EXE)
            ADD_CUSTOM_TARGET(clang-format COMMAND ${CLANGFORMAT_EXE} -style=file -i ${ALL_SOURCE_FILES})
        ENDIF ()
    ENDIF ()
ENDIF ()

#####################################  INDI version  ################################################
# N.B. DO NOT Forget to update version also in indiapi.h
# Proper way is to use indiversion.h.cmake file but this would break make existing applications so let us stick to the old proven way

set(INDI_SOVERSION "1")
set(CMAKE_INDI_VERSION_MAJOR 1)
set(CMAKE_INDI_VERSION_MINOR 9)
set(CMAKE_INDI_VERSION_RELEASE 2)
set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
set(INDI_VERSION ${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE})

execute_process(
    COMMAND git describe --tags
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_TAG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE GIT_TAG_RESULT
)

if (NOT ${GIT_TAG_RESULT} EQUAL 0)
    set(GIT_TAG "${CMAKE_INDI_VERSION_STRING}-tgz")
endif()

add_definitions(-DGIT_TAG_STRING=\"${GIT_TAG}\")

########################################  Paths  ###################################################

set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")

IF(APPLE)
set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup")
ENDIF(APPLE)

##################################  Install Directories  ###########################################
## the following are directories where stuff will be installed to
set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/")
set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")

set(PKG_CONFIG_LIBDIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

#####################################  Build Options  ##############################################
# Select which components to build and what options to apply

OPTION (INDI_BUILD_SERVER "Build INDI Server" ON)
OPTION (INDI_BUILD_DRIVERS "Build INDI Drivers, Tools, and Examples" ON)
OPTION (INDI_BUILD_CLIENT "Build INDI POSIX Client" ON)
OPTION (INDI_BUILD_QT5_CLIENT "Build INDI Qt5 Client" OFF)
OPTION (INDI_BUILD_UNITTESTS "Build INDI tests" OFF)
OPTION (INDI_BUILD_WEBSOCKET "Build INDI with Websocket support" OFF)
OPTION (INDI_FAST_BLOB "Build INDI with Fast BLOB support" ON)
OPTION (INDI_CALCULATE_MINMAX "Calculate and store image minimum and maximum values in FITS header" OFF)

###################################################################################################
#########################################  Fast Blob  #############################################
###################################################################################################
IF (INDI_FAST_BLOB)
# Append ENCLEN attribute to outgoing BLOB elements to enable fast parsing by clients
add_definitions(-DWITH_ENCLEN)
ENDIF(INDI_FAST_BLOB)

###################################################################################################
######################################  Calculate Min/Max #########################################
###################################################################################################
IF (INDI_CALCULATE_MINMAX)
# Calculate Min/Max values to store them in FITS header
add_definitions(-DWITH_MINMAX)
ENDIF(INDI_CALCULATE_MINMAX)

###################################################################################################
#####################################  Components  ################################################
###################################################################################################

set_package_properties(Nova PROPERTIES DESCRIPTION "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" URL "http://libnova.sourceforge.net" TYPE REQUIRED PURPOSE "Provides INDI with astrodynamics library.")
set_package_properties(CFITSIO PROPERTIES DESCRIPTION "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" URL "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE REQUIRED PURPOSE "Provides INDI with FITS I/O support.")

####################################################################################################
#
# Component   : INDI Server
# Dependencies: pthreads
# Supported OS: Linux, BSD, MacOS, Cygwin
#
#################################################################################################
if (INDI_BUILD_SERVER)
if (WIN32 OR ANDROID)
    message(WARNING "INDI Server is only supported under Linux, BSD, MacOS, and Cygwin while current system is " ${CMAKE_SYSTEM_NAME})
else()

# 1. Dependencies
find_package(Threads REQUIRED)
# 2. Includes
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
# 3. Build
SET(indiserver_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/indiserver.c
    ${CMAKE_CURRENT_SOURCE_DIR}/fq.c
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/lilxml.c)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indiserver indiserver_SRC 10 c)
ENDIF ()

add_executable(indiserver ${indiserver_SRC})
target_link_libraries(indiserver ${CMAKE_THREAD_LIBS_INIT})
install(TARGETS indiserver RUNTIME DESTINATION bin)
endif (WIN32 OR ANDROID)
endif (INDI_BUILD_SERVER)

#################################################################################################
#
# Component   : INDI Client
# Dependencies: zlib, cfitsio
# Supported OS: Linux, BSD, MacOS, Windows, Cygwin
# N.B. Windows support pending migration of networking code
#################################################################################################
if (INDI_BUILD_CLIENT AND NOT ANDROID)
# 1. Dependencies
find_package(Threads REQUIRED)
find_package(ZLIB REQUIRED)
find_package(CFITSIO REQUIRED)
# 2. Includes
include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libs)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/timer)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/thread)
include_directories( ${ZLIB_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
# 3. Build

SET(indiclient_C_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/lilxml.c
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/userio.c
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indiuserio.c
    ${CMAKE_CURRENT_SOURCE_DIR}/base64.c)

SET(indiclient_CXX_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/libastro.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/basedevice.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/baseclient.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indiproperty.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indiproperties.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertybasic.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertytext.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertynumber.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertyswitch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertylight.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertyblob.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertyview_client.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/indistandardproperty.cpp)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indiclient_c indiclient_C_SRC 10 c)
    ENABLE_UNITY_BUILD(indiclient_cxx indiclient_CXX_SRC 10 cpp)
ENDIF ()

SET(indiclient_C_SRC ${indiclient_C_SRC}    
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indicom.c)

add_library(indiclient STATIC ${indiclient_C_SRC} ${indiclient_CXX_SRC})
if (NOT CYGWIN AND NOT WIN32)
set_target_properties(indiclient PROPERTIES COMPILE_FLAGS "-fPIC")
endif (NOT CYGWIN AND NOT WIN32)
target_link_libraries(indiclient ${CMAKE_THREAD_LIBS_INIT})
install(TARGETS indiclient ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/baseclient.h DESTINATION ${INCLUDE_INSTALL_DIR}/libindi COMPONENT Devel)
endif (INDI_BUILD_CLIENT AND NOT ANDROID)

#################################################################################################
#
# Component   : INDI Qt5 Client
# Dependencies: Qt5Network, zlib, cfitsio, Qt5Core
# Supported OS: Linux, BSD, MacOS, Cygwin, Windows, Android
#
#################################################################################################
if (INDI_BUILD_QT5_CLIENT)
set(QT_ANDROID "" CACHE path "Qt Android path")
# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# 1. Dependencies
if (ANDROID)
    set(Qt5Core_DIR "${QT_ANDROID}/lib/cmake/Qt5Core")
    include(${QT_ANDROID}/lib/cmake/Qt5/Qt5Config.cmake)
    include(${QT_ANDROID}/lib/cmake/Qt5Core/Qt5CoreConfig.cmake)
    include(${QT_ANDROID}/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake)
    if (NOT CFITSIO_DIR)
        message(FATAL_ERROR CFITSIO_DIR must be set)
    else ()
        set(CFITSIO_INCLUDE_DIR ${CFITSIO_DIR})
        set(CFITSIO_LIBRARIES ${CFITSIO_DIR}/libcfitsio.a)
    endif ()
else ()
    find_package(Qt5Network REQUIRED)
    find_package(ZLIB REQUIRED)
    find_package(CFITSIO REQUIRED)
endif ()
# 2. Includes
include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libs)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase)
include_directories( ${CFITSIO_INCLUDE_DIR})
# 3. Build
message(STATUS "Building INDI Client with Qt5 support")
SET(indiclientqt_C_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/lilxml.c
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/userio.c
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indiuserio.c
    ${CMAKE_CURRENT_SOURCE_DIR}/base64.c)
SET(indiclientqt_CXX_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/libastro.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/basedevice.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/baseclientqt.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indiproperty.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indiproperties.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertybasic.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertytext.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertynumber.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertyswitch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertylight.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/indibase/property/indipropertyblob.cpp

=== debian/changelog ===
libindi (1.9.2) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 6 Jul 2021 15:00:00 +0300

libindi (1.9.1) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 25 Apr 2021 15:00:00 +0300

libindi (1.9.0) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 04 Mar 2021 15:00:00 +0300

libindi (1.8.9) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 12 Jan 2020 15:00:00 +0300

libindi (1.8.8) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 02 Dec 2020 15:00:00 +0300

libindi (1.8.7) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 22 Aug 2020 15:00:00 +0300

libindi (1.8.6) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 28 Apr 2020 19:00:00 +0300

libindi (1.8.5) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 07 Mar 2020 19:00:00 +0300

libindi (1.8.4) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 18 Jan 2020 19:00:00 +0300

libindi (1.8.3) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 1 Jan 2020 19:00:00 +0300

libindi (1.8.2) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 13 Oct 2019 19:00:00 +0300

libindi (1.8.1) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 13 Aug 2019 19:00:00 +0300

libindi (1.8.0) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 27 Jul 2019 19:00:00 +0300

libindi (1.7.9) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 22 Jun 2019 19:00:00 +0300

libindi (1.7.8) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 11 May 2019 13:00:00 +0300

libindi (1.7.7) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 14 Feb 2019 19:36:00 +0300

libindi (1.7.6) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 01 Dec 2018 01:30:00 +0300

libindi (1.7.5) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 27 Sep 2018 09:30:00 +0300

libindi (1.7.4) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 19 Jul 2018 09:30:00 +0300

libindi (1.7.3) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 20 May 2018 09:30:00 +0300

libindi (1.7.2) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 22 Apr 2018 22:00:00 +0300

libindi (1.7.1) bionic; urgency=medium

  * Hotfix release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 12 Apr 2018 15:00:00 +0300

libindi (1.7.0) bionic; urgency=medium

  * Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 05 Apr 2018 09:00:00 +0300

libindi (1.6.4) bionic; urgency=medium

  * Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 08 Mar 2018 09:00:00 +0300

libindi (1.6.3) bionic; urgency=medium

  * Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 20 Jan 2018 18:00:00 +0300

libindi (1.6.2) bionic; urgency=medium

  * Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 8 Jan 2018 15:00:00 +0300

libindi (1.6.1) bionic; urgency=medium

  * Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 8 Jan 2018 04:00:00 +0300

libindi (1.6.0) xenial; urgency=medium

  * Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 7 Nov 2017 14:30:00 +0300

libindi (1.5.0) xenial; urgency=medium

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 31 Jul 2017 14:30:00 +0300

libindi (1.4.1) zesty; urgency=medium

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 27 Feb 2017 14:30:00 +0300

libindi (1.4.0) zesty; urgency=medium

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 26 Feb 2017 14:30:00 +0300

libindi (1.3.1) xenial; urgency=medium

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 15 Nov 2016 09:30:00 +0300

libindi (1.3.0) UNRELEASED; urgency=medium

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 30 Oct 2016 11:34:00 +0300

libindi (1.2.0) UNRELEASED; urgency=medium

  * Development release. Final release due Feb 2016.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 02 Jan 2016 11:26:18 +0300

libindi (1.1.0) vivid; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 08 Apr 2015 11:00:00 +0300

libindi (1.0.0) vivid; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 15 Feb 2015 11:00:00 +0300

libindi (0.9.9) trusty; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 27 Aug 2014 08:00:00 +0300

libindi (0.9.8.1) trusty; urgency=low

  * Changed install location of math plugins to adhere to multi arch spec.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 10 May 2014 12:00:00 +0300

libindi (0.9.8) trusty; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 16 Mar 2014 12:00:00 +0300

libindi (0.9.7) precise; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 4 Oct 2012 01:00:00 +0300

libindi (0.9.6) precise; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 6 Nov 2012 01:09:00 +0300

libindi (0.9.5) precise; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 23 Aug 2012 02:30:00 +0300

libindi (0.9-0ubuntu2) oneiric; urgency=low

  * New upstream release.



=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>
# Contributor: Tobias Powalowski <tpowa@archlinux.org>

pkgname=libindi
pkgver=1.9.2
pkgrel=1
pkgdesc='A distributed control protocol designed to operate astronomical instrumentation'
url='https://www.indilib.org/index.php?title=Main_Page'
license=(GPL2)
arch=(x86_64)
depends=(libnova cfitsio libusb libjpeg gsl libtheora fftw)
makedepends=(cmake boost qt5-base)
source=(https://github.com/indilib/indi/archive/v$pkgver/$pkgname-$pkgver.tar.gz)
sha256sums=('1fca427d73347b6d495ddbc1087b8a7d0f14a3aa829bc7214beba6952118b663')

prepare() {
  sed -e 's|GROUP="plugdev", MODE="0666"|TAG+="uaccess"|' -i indi-$pkgver/drivers/*/*.rules
}

build() {
  cmake -B build -S indi-$pkgver \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DINDI_BUILD_QT5_CLIENT=ON \
    -DUDEVRULES_INSTALL_DIR=/usr/lib/udev/rules.d
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
